Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class BackgroundPositionShorthand.Parser

    java.lang.Object
      org.apache.fop.fo.properties.GenericShorthandParser
          org.apache.fop.fo.properties.BackgroundPositionShorthand.Parser

All Implemented Interfaces:
  ShorthandParser

Enclosing class:
  BackgroundPositionShorthand

public static class BackgroundPositionShorthand.Parser
extends GenericShorthandParser

Inner class to provide shorthand parsing capabilities

Constructor Summary
`BackgroundPositionShorthand.Parser()`

Method Summary
`Property` | `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser
`convertValueForProperty, getElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackgroundPositionShorthand.Parser

    public BackgroundPositionShorthand.Parser()

Method Detail

### getValueForProperty

    public Property getValueForProperty(int propId,
                                        Property property,
                                        PropertyMaker maker,
                                        PropertyList propertyList)
                                 throws PropertyException

  Specified by:
    `getValueForProperty` in interface `ShorthandParser`
  Overrides:
    `getValueForProperty` in class `GenericShorthandParser`
  Throws:
    `PropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.